Bug 261421 - Amarok crashed on exit [@ MySqlStorage::escape, SqlRegistry::getDirectory]
Summary: Amarok crashed on exit [@ MySqlStorage::escape, SqlRegistry::getDirectory]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.4.3
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
: 263370 268293 277724 279691 282244 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-12-28 01:05 UTC by Alexander Potashev
Modified: 2011-11-09 17:39 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments
New crash information added by DrKonqi (11.42 KB, text/plain)
2011-01-06 12:41 UTC, Christian Langrock
Details
New crash information added by DrKonqi (10.27 KB, text/plain)
2011-03-12 15:21 UTC, Markus Schmidt
Details
New crash information added by DrKonqi (13.17 KB, text/plain)
2011-09-26 10:04 UTC, Bruno Friedmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2010-12-28 01:05:06 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.5.90 (4.6 RC1) (Compiled from sources)
Qt Version: 4.7.0
Operating System: Linux 2.6.37-rc5-00062-g6313e3c x86_64
Distribution: "Gentoo Base System release 2.0.1-r1"

-- Information about the crash:
- What I was doing when the application crashed:
I closed Amarok by clicking right mouse button in the tray icon and choosing "Quit".

Amarok was probably rescanning the collection when I closed it.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f6e7d027760 (LWP 28763))]

Thread 17 (Thread 0x7f6e5ad60710 (LWP 28764)):
#0  0x00007f6e77b96619 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e60eab119 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#3  0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 16 (Thread 0x7f6e5a55f710 (LWP 28765)):
#0  0x00007f6e79cf44b3 in poll () from /lib/libc.so.6
#1  0x00007f6e71430b5a in _xcb_conn_wait () from /usr/lib/libxcb.so.1
#2  0x00007f6e714310b1 in _xcb_out_send () from /usr/lib/libxcb.so.1
#3  0x00007f6e714311d1 in _xcb_out_flush_to () from /usr/lib/libxcb.so.1
#4  0x00007f6e714327c2 in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
#5  0x00007f6e40e99863 in xv_dispose () from /usr/lib64/xine/plugins/1.29/xineplug_vo_out_xcbxv.so
#6  0x00007f6e60eb825e in vo_exit () from /usr/lib64/libxine.so.1
#7  0x00007f6e61131a91 in Phonon::Xine::VideoWidgetXT::~VideoWidgetXT() () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f6e611022b7 in QList<QExplicitlySharedDataPointer<Phonon::Xine::SharedData> >::free(QListData::Data*) () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#9  0x00007f6e61114976 in Phonon::Xine::KeepReference<10000>::~KeepReference() () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#10 0x00007f6e7a627f68 in QObject::event(QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x00007f6e7b00577c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#12 0x00007f6e7b00b1ad in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#13 0x00007f6e7a61654b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#14 0x00007f6e7a61941d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/qt4/libQtCore.so.4
#15 0x00007f6e7a642123 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/qt4/libQtCore.so.4
#16 0x00007f6e731ffe21 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#17 0x00007f6e73203d20 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#18 0x00007f6e73203ed4 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#19 0x00007f6e7a641c83 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#20 0x00007f6e7a6152d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#21 0x00007f6e7a6156bd in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#22 0x00007f6e7a524bcd in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#23 0x00007f6e61103e90 in Phonon::Xine::XineThread::run() () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#24 0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#25 0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#26 0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 15 (Thread 0x7f6e59b59710 (LWP 28766)):
#0  0x00007f6e77b95650 in pthread_mutex_unlock () from /lib/libpthread.so.0
#1  0x00007f6e6acacdee in pa_mutex_unlock () from /usr/lib/libpulsecommon-0.9.22.so
#2  0x00007f6e6fe2299a in poll_func () from /usr/lib64/libpulse.so.0
#3  0x00007f6e6fe129e6 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#4  0x00007f6e6fe13d69 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#5  0x00007f6e6fe13e20 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#6  0x00007f6e6fe227ab in thread () from /usr/lib64/libpulse.so.0
#7  0x00007f6e6acadcd7 in internal_thread_func () from /usr/lib/libpulsecommon-0.9.22.so
#8  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#9  0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 14 (Thread 0x7f6e55357710 (LWP 28767)):
#0  0x00007f6e77b962ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e60eb8de3 in fifo_peek_int () from /usr/lib64/libxine.so.1
#2  0x00007f6e60eba7ca in ao_loop () from /usr/lib64/libxine.so.1
#3  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#4  0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 13 (Thread 0x7f6e53f08710 (LWP 28769)):
#0  0x00007f6e77b962ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e60eb8de3 in fifo_peek_int () from /usr/lib64/libxine.so.1
#2  0x00007f6e60eba7ca in ao_loop () from /usr/lib64/libxine.so.1
#3  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#4  0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 12 (Thread 0x7f6e516b5710 (LWP 28771)):
#0  0x00007f6e73203033 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#1  0x00007f6e73203a97 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#2  0x00007f6e73203ed4 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f6e7a641cd6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f6e7a6152d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007f6e7a6156bd in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007f6e7a524bcd in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f6e7a5f58b8 in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#9  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#10 0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 11 (Thread 0x7f6e438ef710 (LWP 28779)):
#0  0x00007f6e77b962ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e7a52868b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f6e76f32be4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#3  0x00007f6e76f35d3b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#4  0x00007f6e76f35d54 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#5  0x00007f6e76f342e7 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0x00007f6e76f34838 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#9  0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 10 (Thread 0x7f6e42ee1710 (LWP 28780)):
#0  0x00007f6e77b962ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e7a52868b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f6e76f32be4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#3  0x00007f6e76f35d3b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#4  0x00007f6e76f35d54 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#5  0x00007f6e76f35d54 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#6  0x00007f6e76f342e7 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0x00007f6e76f34838 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#8  0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#9  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#10 0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 9 (Thread 0x7f6e426e0710 (LWP 28781)):
#0  0x00007f6e77b962ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e7a52868b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f6e76f32be4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#3  0x00007f6e76f35d3b in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#4  0x00007f6e76f35d54 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#5  0x00007f6e76f35d54 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#6  0x00007f6e76f35d54 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#7  0x00007f6e76f35d54 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#8  0x00007f6e76f342e7 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#9  0x00007f6e76f34838 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#10 0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#12 0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 8 (Thread 0x7f6e41edf710 (LWP 28782)):
[KCrash Handler]
#6  0x00007f6e528e39c4 in mysql_real_escape_string () from /usr/lib/libmysqld.so.0
#7  0x00007f6e53265729 in MySqlStorage::escape (this=0x1d27870, text=<value optimized out>) at /tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/core-impl/collections/db/sql/mysql-shared/MySqlStorage.cpp:214
#8  0x00007f6e52fbd01a in SqlRegistry::getDirectory (this=0x23fdd30, path=<value optimized out>, mtime=<value optimized out>) at /tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/core-impl/collections/db/sql/SqlRegistry.cpp:73
#9  0x00007f6e52fde85f in SqlScanResultProcessor::commitDirectory (this=0x4a664f0, directory=0x4575d00) at /tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:97
#10 0x00007f6e52f9d629 in ScanResultProcessor::commit (this=0x4a664f0) at /tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/core-impl/collections/db/ScanResultProcessor.cpp:70
#11 0x00007f6e52fde980 in SqlScanResultProcessor::commit (this=0x4a664f0) at /tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:76
#12 0x00007f6e52f98b9f in ScannerJob::run (this=0x554aba0) at /tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/core-impl/collections/db/ScanManager.cpp:461
#13 0x00007f6e76f34fb1 in ThreadWeaver::JobRunHelper::runTheJob(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#14 0x00007f6e76f352ae in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#15 0x00007f6e76f342b7 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#16 0x00007f6e76f34838 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#17 0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#18 0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#19 0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 7 (Thread 0x7f6e3fa09710 (LWP 28790)):
#0  0x00007f6e77b962ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e7582c8d4 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/qt4/libQtScript.so.4
#2  0x00007f6e7582c909 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/qt4/libQtScript.so.4
#3  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#4  0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 6 (Thread 0x7f6e357d7710 (LWP 28880)):
#0  0x00007f6e77b962ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e6f42598d in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/qt4/libQtWebKit.so.4
#2  0x00007f6e6f425a89 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/qt4/libQtWebKit.so.4
#3  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#4  0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 5 (Thread 0x7f6e2e6bf710 (LWP 28903)):
#0  0x00007f6e77b962ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e7a52868b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f6e7b506a66 in QFileInfoGatherer::run() () from /usr/lib64/qt4/libQtGui.so.4
#3  0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#5  0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 4 (Thread 0x7f6e30a53710 (LWP 28904)):
#0  0x00007fff835ff8e4 in clock_gettime ()
#1  0x00007f6e71a51318 in clock_gettime () from /lib/librt.so.1
#2  0x00007f6e7a57b0f7 in qt_gettime() () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00007f6e7a643c5d in QTimerInfoList::updateCurrentTime() () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f6e7a643c85 in QTimerInfoList::timerWait(timeval&) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007f6e7a641ebd in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007f6e7a641f5d in timerSourcePrepare(_GSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f6e732034b5 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0x00007f6e732038f2 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#9  0x00007f6e73203ed4 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0x00007f6e7a641cd6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x00007f6e7a6152d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#12 0x00007f6e7a6156bd in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#13 0x00007f6e7a524bcd in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#14 0x00007f6e7a5f58b8 in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/qt4/libQtCore.so.4
#15 0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#16 0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#17 0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 3 (Thread 0x7f6e2cc1c710 (LWP 2297)):
#0  0x00007f6e77b962ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f6e7a52868b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f6e7b506a66 in QFileInfoGatherer::run() () from /usr/lib64/qt4/libQtGui.so.4
#3  0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#5  0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 2 (Thread 0x7f6e2c41b710 (LWP 2299)):
#0  0x00007f6e73203118 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#1  0x00007f6e73203a97 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#2  0x00007f6e73203ed4 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f6e7a641cd6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f6e7a6152d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007f6e7a6156bd in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007f6e7a524bcd in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f6e7a5f58b8 in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f6e7a527afe in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#9  0x00007f6e77b91914 in start_thread () from /lib/libpthread.so.0
#10 0x00007f6e79cfd19d in clone () from /lib/libc.so.6

Thread 1 (Thread 0x7f6e7d027760 (LWP 28763)):
#0  0x00007f6e71430ba2 in _xcb_conn_wait () from /usr/lib/libxcb.so.1
#1  0x00007f6e714310b1 in _xcb_out_send () from /usr/lib/libxcb.so.1
#2  0x00007f6e71431366 in xcb_writev () from /usr/lib/libxcb.so.1
#3  0x00007f6e79512c7c in _XSend () from /usr/lib/libX11.so.6
#4  0x00007f6e79512d67 in _XReply () from /usr/lib/libX11.so.6
#5  0x00007f6e794f85d2 in XGetSelectionOwner () from /usr/lib/libX11.so.6
#6  0x00007f6e7b093264 in QClipboard::event(QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#7  0x00007f6e7b00577c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#8  0x00007f6e7b00b1ad in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#9  0x00007f6e7a61654b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#10 0x00007f6e7b01081b in QApplication::~QApplication() () from /usr/lib64/qt4/libQtGui.so.4
#11 0x00007f6e7bf9ff91 in App::~App (this=0x7fff835c8060, __in_chrg=<value optimized out>) at /tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/App.cpp:286
#12 0x0000000000406dc1 in main (argc=<value optimized out>, argv=<value optimized out>) at /tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/main.cpp:261

Reported using DrKonqi
Comment 1 Christian Langrock 2011-01-06 12:41:45 UTC
Created attachment 55640 [details]
New crash information added by DrKonqi

amarok (2.3.90) on KDE Platform 4.5.90 (4.6 RC1) using Qt 4.7.1

- What I was doing when the application crashed:
- play a MP3 from an external HDD
- stop playing
- five minutes later quit amarok
- amarok crash

-- Backtrace (Reduced):
#7  0x00007fa179785460 in SqlRegistry::getDirectory (this=0x17b5520, path=..., mtime=1241727053) at /usr/src/debug/amarok-2.3.90/src/core-impl/collections/db/sql/SqlRegistry.cpp:65
#8  0x00007fa1797a99e5 in SqlScanResultProcessor::commitDirectory (this=0x3a5e950, directory=0x2cbbf80) at /usr/src/debug/amarok-2.3.90/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:97
#9  0x00007fa179765691 in ScanResultProcessor::commit (this=<value optimized out>) at /usr/src/debug/amarok-2.3.90/src/core-impl/collections/db/ScanResultProcessor.cpp:70
#10 0x00007fa1797aae60 in SqlScanResultProcessor::commit (this=0x3a5e950) at /usr/src/debug/amarok-2.3.90/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:76
#11 0x00007fa17975faec in ScannerJob::run (this=0x32e6d50) at /usr/src/debug/amarok-2.3.90/src/core-impl/collections/db/ScanManager.cpp:457
Comment 2 Myriam Schweingruber 2011-01-06 13:41:54 UTC
Confirmed by duplicate.
Comment 3 Ralf Engels 2011-01-06 14:03:30 UTC
Nice one.
Comment 4 Ralf Engels 2011-01-09 14:02:00 UTC
Should be fixed by 5bac01f5fab537cc61cc97c6d144c55beadb8110
Comment 5 Myriam Schweingruber 2011-01-17 07:55:44 UTC
*** Bug 263370 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2011-01-17 07:56:56 UTC
(In reply to comment #4)
> Should be fixed by 5bac01f5fab537cc61cc97c6d144c55beadb8110

Apparently not, see comment #5
Comment 7 Markus Schmidt 2011-03-12 15:21:25 UTC
Created attachment 57904 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:

Closing amarok by rightclicking in tray and "quit"
perhaps the library was rescanning

-- Backtrace (Reduced):
#7  0x00007f0889eb4a30 in SqlRegistry::getDirectory (this=0x128c510, path=..., mtime=1274684018) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/db/sql/SqlRegistry.cpp:65
#8  0x00007f0889ed9639 in SqlScanResultProcessor::commitDirectory (this=0x7f08745ddc10, directory=<value optimized out>) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:97
#9  0x00007f0889e95379 in ScanResultProcessor::commit (this=0x7f08745ddc10) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/db/ScanResultProcessor.cpp:70
#10 0x00007f0889edab40 in SqlScanResultProcessor::commit (this=0x7f08745ddc10) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:76
#11 0x00007f0889e8f8d4 in ScannerJob::run (this=0x13867d0) at /usr/src/debug/amarok-2.4.0/src/core-impl/collections/db/ScanManager.cpp:461
Comment 8 Myriam Schweingruber 2011-03-19 02:58:49 UTC
*** Bug 268293 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2011-04-11 21:06:17 UTC
Fixed by  rv2.4.0.90-56-gd684266
Comment 10 Ralf Engels 2011-05-02 01:44:40 UTC
Git commit 5e6872164ddcc86dabf319980cc4851e74f50ab9 by Ralf Engels.
Committed on 11/04/2011 at 18:42.
Pushed by rengels into branch 'dynamicplaylist'.

Hopefully fix: Amarok crashed on exit

BUG: 261421

M  +1    -1    src/core-impl/collections/db/ScanManager.cpp     
M  +4    -1    src/core-impl/collections/db/ScanManager.h     
M  +1    -1    src/core-impl/collections/db/sql/SqlCollection.cpp     

http://commits.kde.org/amarok/5e6872164ddcc86dabf319980cc4851e74f50ab9
Comment 11 Myriam Schweingruber 2011-07-13 21:30:44 UTC
*** Bug 277724 has been marked as a duplicate of this bug. ***
Comment 12 Myriam Schweingruber 2011-08-08 22:00:12 UTC
*** Bug 279691 has been marked as a duplicate of this bug. ***
Comment 13 Myriam Schweingruber 2011-09-18 19:43:23 UTC
*** Bug 282244 has been marked as a duplicate of this bug. ***
Comment 14 Bruno Friedmann 2011-09-26 10:04:30 UTC
Created attachment 63977 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.1 (4.7.1) using Qt 4.7.4

- What I was doing when the application crashed: Open one time  amarok 2.4.1 then the process of updating the collection start.
Before it end close amarok. ( Like I open it just to listen a quick sound )
Less than 45 seconds reopen amarok, and listen a short song or stop after <30sec. and quit 
the crash appear here at the second close.

-- Backtrace (Reduced):
#6  0x00007f1322b9dec4 in SqlRegistry::getDirectory (this=0xf9bad0, path=<optimized out>, mtime=1160211287) at /usr/src/debug/amarok-2.4.3/src/core-impl/collections/db/sql/SqlRegistry.cpp:83
#7  0x00007f1322bbc363 in SqlScanResultProcessor::commitDirectory (this=0x139d0b00, directory=0x13a04570) at /usr/src/debug/amarok-2.4.3/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:102
#8  0x00007f1322b80763 in ScanResultProcessor::commit (this=0x139d0b00) at /usr/src/debug/amarok-2.4.3/src/core-impl/collections/db/ScanResultProcessor.cpp:85
#9  0x00007f1322bc0488 in SqlScanResultProcessor::commit (this=0x139d0b00) at /usr/src/debug/amarok-2.4.3/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:79
#10 0x00007f1322b79e71 in ScannerJob::run (this=0x1397c330) at /usr/src/debug/amarok-2.4.3/src/core-impl/collections/db/ScanManager.cpp:593
Comment 15 Myriam Schweingruber 2011-09-26 11:54:04 UTC
Reopening, based on comment #14
Comment 16 Sergey Ivanov 2011-11-05 21:54:21 UTC
Git commit 43d4f9e564719b219498ff409697af794ab80fa5 by Sergey Ivanov.
Committed on 05/11/2011 at 22:47.
Pushed by ivanov into branch 'master'.

Fixed crash on exit while collection scanner is running.
BUG: 261421
FIXED-IN: 2.5

M  +1    -0    ChangeLog
M  +4    -1    src/core-impl/collections/db/ScanManager.cpp
M  +1    -1    src/core-impl/collections/db/ScanManager.h

http://commits.kde.org/amarok/43d4f9e564719b219498ff409697af794ab80fa5
Comment 17 Douglas 2011-11-09 17:39:41 UTC
cool

On Sat, Nov 5, 2011 at 2:54 PM, Sergey Ivanov <123kash@gmail.com> wrote:
> https://bugs.kde.org/show_bug.cgi?id=261421
>
>
> Sergey Ivanov <123kash@gmail.com> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>             Status|REOPENED                    |RESOLVED
>   Version Fixed In|2.4.1                       |2.5
>         Resolution|                            |FIXED
>
>
>
>
> --- Comment #16 from Sergey Ivanov <123kash gmail com>  2011-11-05 21:54:21 ---
> Git commit 43d4f9e564719b219498ff409697af794ab80fa5 by Sergey Ivanov.
> Committed on 05/11/2011 at 22:47.
> Pushed by ivanov into branch 'master'.
>
> Fixed crash on exit while collection scanner is running.
> BUG: 261421
> FIXED-IN: 2.5
>
> M  +1    -0    ChangeLog
> M  +4    -1    src/core-impl/collections/db/ScanManager.cpp
> M  +1    -1    src/core-impl/collections/db/ScanManager.h
>
> http://commits.kde.org/amarok/43d4f9e564719b219498ff409697af794ab80fa5
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>